Invite

Invite User with photo

POST
/invite/{userId}/photo

Sends an photo invite to a user. Returns the Notification of type invite that was sent.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

userId*string

Must be a valid user ID.

Request Body

multipart/form-data

Response Body

application/json

application/json

curl -X POST "https://api.vrchat.cloud/api/1/invite/usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469/photo" \  -F data="{\n  \"instanceId\": \"12345~hidden(usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469)~region(eu)~nonce(27e8414a-59a0-4f3d-af1f-f27557eb49a2)\"\n}" \  -F image="string"
{
  "id": "not_23256056-a3f0-4ac6-99dd-06a58b3f06a9",
  "type": "invite",
  "created_at": "2026-10-07T21:19:49.097Z",
  "details": {
    "worldId": "wrld_4cf554b4-430c-4f8f-b53e-1f294eed230b:96583~private(usr_9439f8cc-1c6b-4dca-9a07-d2eccb570701)~canRequestInvite~region(use)",
    "worldName": "The Black Cat"
  },
  "message": "This is a generated invite to The Black Cat",
  "receiverUserId": "usr_9439f8cc-1c6b-4dca-9a07-d2eccb570701",
  "senderUserId": "usr_9439f8cc-1c6b-4dca-9a07-d2eccb570701",
  "senderUsername": "8cf3def6b8cea"
}
{
  "error": {
    "message": "\"You need to be friends with that user first.\"",
    "status_code": 403
  }
}